# abstract TextFieldType(Null<Int>)

#### package openfl.text

####

Available on all platforms

The TextFieldType class is an enumeration of constant values used in setting the `type` property of the TextField class.

### Variables

###

`inline read onlyDYNAMIC:TextFieldType = 0`

Used to specify a `dynamic` TextField.

###

`inline read onlyINPUT:TextFieldType = 1`

Used to specify an `input` TextField.